Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network42.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
42.0.0.0
Broadcast address
42.127.255.255
First usable
42.0.0.1
Last usable
42.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 2A000000 · Integer 704643072 to 713031679
Reverse DNS zones
0.42.in-addr.arpa
1.42.in-addr.arpa
2.42.in-addr.arpa
3.42.in-addr.arpa
4.42.in-addr.arpa
5.42.in-addr.arpa
6.42.in-addr.arpa
7.42.in-addr.arpa
8.42.in-addr.arpa
9.42.in-addr.arpa
10.42.in-addr.arpa
11.42.in-addr.arpa
12.42.in-addr.arpa
13.42.in-addr.arpa
14.42.in-addr.arpa
15.42.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101010.00000000.00000000.0000000042.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network00101010.00000000.00000000.0000000042.0.0.0
Broadcast00101010.01111111.11111111.1111111142.127.255.255
Split into smaller subnets/20

42.0.0.0/9 makes 2,048 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
142.0.0.0/2042.0.0.1 to 42.0.15.25442.0.15.2554,094
242.0.16.0/2042.0.16.1 to 42.0.31.25442.0.31.2554,094
342.0.32.0/2042.0.32.1 to 42.0.47.25442.0.47.2554,094
442.0.48.0/2042.0.48.1 to 42.0.63.25442.0.63.2554,094
542.0.64.0/2042.0.64.1 to 42.0.79.25442.0.79.2554,094
642.0.80.0/2042.0.80.1 to 42.0.95.25442.0.95.2554,094
742.0.96.0/2042.0.96.1 to 42.0.111.25442.0.111.2554,094
842.0.112.0/2042.0.112.1 to 42.0.127.25442.0.127.2554,094
942.0.128.0/2042.0.128.1 to 42.0.143.25442.0.143.2554,094
1042.0.144.0/2042.0.144.1 to 42.0.159.25442.0.159.2554,094
1142.0.160.0/2042.0.160.1 to 42.0.175.25442.0.175.2554,094
1242.0.176.0/2042.0.176.1 to 42.0.191.25442.0.191.2554,094
1342.0.192.0/2042.0.192.1 to 42.0.207.25442.0.207.2554,094
1442.0.208.0/2042.0.208.1 to 42.0.223.25442.0.223.2554,094
1542.0.224.0/2042.0.224.1 to 42.0.239.25442.0.239.2554,094
1642.0.240.0/2042.0.240.1 to 42.0.255.25442.0.255.2554,094
1742.1.0.0/2042.1.0.1 to 42.1.15.25442.1.15.2554,094
1842.1.16.0/2042.1.16.1 to 42.1.31.25442.1.31.2554,094
1942.1.32.0/2042.1.32.1 to 42.1.47.25442.1.47.2554,094
2042.1.48.0/2042.1.48.1 to 42.1.63.25442.1.63.2554,094
2142.1.64.0/2042.1.64.1 to 42.1.79.25442.1.79.2554,094
2242.1.80.0/2042.1.80.1 to 42.1.95.25442.1.95.2554,094
2342.1.96.0/2042.1.96.1 to 42.1.111.25442.1.111.2554,094
2442.1.112.0/2042.1.112.1 to 42.1.127.25442.1.127.2554,094
2542.1.128.0/2042.1.128.1 to 42.1.143.25442.1.143.2554,094
2642.1.144.0/2042.1.144.1 to 42.1.159.25442.1.159.2554,094
2742.1.160.0/2042.1.160.1 to 42.1.175.25442.1.175.2554,094
2842.1.176.0/2042.1.176.1 to 42.1.191.25442.1.191.2554,094
2942.1.192.0/2042.1.192.1 to 42.1.207.25442.1.207.2554,094
3042.1.208.0/2042.1.208.1 to 42.1.223.25442.1.223.2554,094
3142.1.224.0/2042.1.224.1 to 42.1.239.25442.1.239.2554,094
3242.1.240.0/2042.1.240.1 to 42.1.255.25442.1.255.2554,094
3342.2.0.0/2042.2.0.1 to 42.2.15.25442.2.15.2554,094
3442.2.16.0/2042.2.16.1 to 42.2.31.25442.2.31.2554,094
3542.2.32.0/2042.2.32.1 to 42.2.47.25442.2.47.2554,094
3642.2.48.0/2042.2.48.1 to 42.2.63.25442.2.63.2554,094
3742.2.64.0/2042.2.64.1 to 42.2.79.25442.2.79.2554,094
3842.2.80.0/2042.2.80.1 to 42.2.95.25442.2.95.2554,094
3942.2.96.0/2042.2.96.1 to 42.2.111.25442.2.111.2554,094
4042.2.112.0/2042.2.112.1 to 42.2.127.25442.2.127.2554,094
4142.2.128.0/2042.2.128.1 to 42.2.143.25442.2.143.2554,094
4242.2.144.0/2042.2.144.1 to 42.2.159.25442.2.159.2554,094
4342.2.160.0/2042.2.160.1 to 42.2.175.25442.2.175.2554,094
4442.2.176.0/2042.2.176.1 to 42.2.191.25442.2.191.2554,094
4542.2.192.0/2042.2.192.1 to 42.2.207.25442.2.207.2554,094
4642.2.208.0/2042.2.208.1 to 42.2.223.25442.2.223.2554,094
4742.2.224.0/2042.2.224.1 to 42.2.239.25442.2.239.2554,094
4842.2.240.0/2042.2.240.1 to 42.2.255.25442.2.255.2554,094
4942.3.0.0/2042.3.0.1 to 42.3.15.25442.3.15.2554,094
5042.3.16.0/2042.3.16.1 to 42.3.31.25442.3.31.2554,094
5142.3.32.0/2042.3.32.1 to 42.3.47.25442.3.47.2554,094
5242.3.48.0/2042.3.48.1 to 42.3.63.25442.3.63.2554,094
5342.3.64.0/2042.3.64.1 to 42.3.79.25442.3.79.2554,094
5442.3.80.0/2042.3.80.1 to 42.3.95.25442.3.95.2554,094
5542.3.96.0/2042.3.96.1 to 42.3.111.25442.3.111.2554,094
5642.3.112.0/2042.3.112.1 to 42.3.127.25442.3.127.2554,094
5742.3.128.0/2042.3.128.1 to 42.3.143.25442.3.143.2554,094
5842.3.144.0/2042.3.144.1 to 42.3.159.25442.3.159.2554,094
5942.3.160.0/2042.3.160.1 to 42.3.175.25442.3.175.2554,094
6042.3.176.0/2042.3.176.1 to 42.3.191.25442.3.191.2554,094
6142.3.192.0/2042.3.192.1 to 42.3.207.25442.3.207.2554,094
6242.3.208.0/2042.3.208.1 to 42.3.223.25442.3.223.2554,094
6342.3.224.0/2042.3.224.1 to 42.3.239.25442.3.239.2554,094
6442.3.240.0/2042.3.240.1 to 42.3.255.25442.3.255.2554,094
6542.4.0.0/2042.4.0.1 to 42.4.15.25442.4.15.2554,094
6642.4.16.0/2042.4.16.1 to 42.4.31.25442.4.31.2554,094
6742.4.32.0/2042.4.32.1 to 42.4.47.25442.4.47.2554,094
6842.4.48.0/2042.4.48.1 to 42.4.63.25442.4.63.2554,094
6942.4.64.0/2042.4.64.1 to 42.4.79.25442.4.79.2554,094
7042.4.80.0/2042.4.80.1 to 42.4.95.25442.4.95.2554,094
7142.4.96.0/2042.4.96.1 to 42.4.111.25442.4.111.2554,094
7242.4.112.0/2042.4.112.1 to 42.4.127.25442.4.127.2554,094
7342.4.128.0/2042.4.128.1 to 42.4.143.25442.4.143.2554,094
7442.4.144.0/2042.4.144.1 to 42.4.159.25442.4.159.2554,094
7542.4.160.0/2042.4.160.1 to 42.4.175.25442.4.175.2554,094
7642.4.176.0/2042.4.176.1 to 42.4.191.25442.4.191.2554,094
7742.4.192.0/2042.4.192.1 to 42.4.207.25442.4.207.2554,094
7842.4.208.0/2042.4.208.1 to 42.4.223.25442.4.223.2554,094
7942.4.224.0/2042.4.224.1 to 42.4.239.25442.4.239.2554,094
8042.4.240.0/2042.4.240.1 to 42.4.255.25442.4.255.2554,094
8142.5.0.0/2042.5.0.1 to 42.5.15.25442.5.15.2554,094
8242.5.16.0/2042.5.16.1 to 42.5.31.25442.5.31.2554,094
8342.5.32.0/2042.5.32.1 to 42.5.47.25442.5.47.2554,094
8442.5.48.0/2042.5.48.1 to 42.5.63.25442.5.63.2554,094
8542.5.64.0/2042.5.64.1 to 42.5.79.25442.5.79.2554,094
8642.5.80.0/2042.5.80.1 to 42.5.95.25442.5.95.2554,094
8742.5.96.0/2042.5.96.1 to 42.5.111.25442.5.111.2554,094
8842.5.112.0/2042.5.112.1 to 42.5.127.25442.5.127.2554,094
8942.5.128.0/2042.5.128.1 to 42.5.143.25442.5.143.2554,094
9042.5.144.0/2042.5.144.1 to 42.5.159.25442.5.159.2554,094
9142.5.160.0/2042.5.160.1 to 42.5.175.25442.5.175.2554,094
9242.5.176.0/2042.5.176.1 to 42.5.191.25442.5.191.2554,094
9342.5.192.0/2042.5.192.1 to 42.5.207.25442.5.207.2554,094
9442.5.208.0/2042.5.208.1 to 42.5.223.25442.5.223.2554,094
9542.5.224.0/2042.5.224.1 to 42.5.239.25442.5.239.2554,094
9642.5.240.0/2042.5.240.1 to 42.5.255.25442.5.255.2554,094
9742.6.0.0/2042.6.0.1 to 42.6.15.25442.6.15.2554,094
9842.6.16.0/2042.6.16.1 to 42.6.31.25442.6.31.2554,094
9942.6.32.0/2042.6.32.1 to 42.6.47.25442.6.47.2554,094
10042.6.48.0/2042.6.48.1 to 42.6.63.25442.6.63.2554,094
10142.6.64.0/2042.6.64.1 to 42.6.79.25442.6.79.2554,094
10242.6.80.0/2042.6.80.1 to 42.6.95.25442.6.95.2554,094
10342.6.96.0/2042.6.96.1 to 42.6.111.25442.6.111.2554,094
10442.6.112.0/2042.6.112.1 to 42.6.127.25442.6.127.2554,094
10542.6.128.0/2042.6.128.1 to 42.6.143.25442.6.143.2554,094
10642.6.144.0/2042.6.144.1 to 42.6.159.25442.6.159.2554,094
10742.6.160.0/2042.6.160.1 to 42.6.175.25442.6.175.2554,094
10842.6.176.0/2042.6.176.1 to 42.6.191.25442.6.191.2554,094
10942.6.192.0/2042.6.192.1 to 42.6.207.25442.6.207.2554,094
11042.6.208.0/2042.6.208.1 to 42.6.223.25442.6.223.2554,094
11142.6.224.0/2042.6.224.1 to 42.6.239.25442.6.239.2554,094
11242.6.240.0/2042.6.240.1 to 42.6.255.25442.6.255.2554,094
11342.7.0.0/2042.7.0.1 to 42.7.15.25442.7.15.2554,094
11442.7.16.0/2042.7.16.1 to 42.7.31.25442.7.31.2554,094
11542.7.32.0/2042.7.32.1 to 42.7.47.25442.7.47.2554,094
11642.7.48.0/2042.7.48.1 to 42.7.63.25442.7.63.2554,094
11742.7.64.0/2042.7.64.1 to 42.7.79.25442.7.79.2554,094
11842.7.80.0/2042.7.80.1 to 42.7.95.25442.7.95.2554,094
11942.7.96.0/2042.7.96.1 to 42.7.111.25442.7.111.2554,094
12042.7.112.0/2042.7.112.1 to 42.7.127.25442.7.127.2554,094
12142.7.128.0/2042.7.128.1 to 42.7.143.25442.7.143.2554,094
12242.7.144.0/2042.7.144.1 to 42.7.159.25442.7.159.2554,094
12342.7.160.0/2042.7.160.1 to 42.7.175.25442.7.175.2554,094
12442.7.176.0/2042.7.176.1 to 42.7.191.25442.7.191.2554,094
12542.7.192.0/2042.7.192.1 to 42.7.207.25442.7.207.2554,094
12642.7.208.0/2042.7.208.1 to 42.7.223.25442.7.223.2554,094
12742.7.224.0/2042.7.224.1 to 42.7.239.25442.7.239.2554,094
12842.7.240.0/2042.7.240.1 to 42.7.255.25442.7.255.2554,094
12942.8.0.0/2042.8.0.1 to 42.8.15.25442.8.15.2554,094
13042.8.16.0/2042.8.16.1 to 42.8.31.25442.8.31.2554,094
13142.8.32.0/2042.8.32.1 to 42.8.47.25442.8.47.2554,094
13242.8.48.0/2042.8.48.1 to 42.8.63.25442.8.63.2554,094
13342.8.64.0/2042.8.64.1 to 42.8.79.25442.8.79.2554,094
13442.8.80.0/2042.8.80.1 to 42.8.95.25442.8.95.2554,094
13542.8.96.0/2042.8.96.1 to 42.8.111.25442.8.111.2554,094
13642.8.112.0/2042.8.112.1 to 42.8.127.25442.8.127.2554,094
13742.8.128.0/2042.8.128.1 to 42.8.143.25442.8.143.2554,094
13842.8.144.0/2042.8.144.1 to 42.8.159.25442.8.159.2554,094
13942.8.160.0/2042.8.160.1 to 42.8.175.25442.8.175.2554,094
14042.8.176.0/2042.8.176.1 to 42.8.191.25442.8.191.2554,094
14142.8.192.0/2042.8.192.1 to 42.8.207.25442.8.207.2554,094
14242.8.208.0/2042.8.208.1 to 42.8.223.25442.8.223.2554,094
14342.8.224.0/2042.8.224.1 to 42.8.239.25442.8.239.2554,094
14442.8.240.0/2042.8.240.1 to 42.8.255.25442.8.255.2554,094
14542.9.0.0/2042.9.0.1 to 42.9.15.25442.9.15.2554,094
14642.9.16.0/2042.9.16.1 to 42.9.31.25442.9.31.2554,094
14742.9.32.0/2042.9.32.1 to 42.9.47.25442.9.47.2554,094
14842.9.48.0/2042.9.48.1 to 42.9.63.25442.9.63.2554,094
14942.9.64.0/2042.9.64.1 to 42.9.79.25442.9.79.2554,094
15042.9.80.0/2042.9.80.1 to 42.9.95.25442.9.95.2554,094
15142.9.96.0/2042.9.96.1 to 42.9.111.25442.9.111.2554,094
15242.9.112.0/2042.9.112.1 to 42.9.127.25442.9.127.2554,094
15342.9.128.0/2042.9.128.1 to 42.9.143.25442.9.143.2554,094
15442.9.144.0/2042.9.144.1 to 42.9.159.25442.9.159.2554,094
15542.9.160.0/2042.9.160.1 to 42.9.175.25442.9.175.2554,094
15642.9.176.0/2042.9.176.1 to 42.9.191.25442.9.191.2554,094
15742.9.192.0/2042.9.192.1 to 42.9.207.25442.9.207.2554,094
15842.9.208.0/2042.9.208.1 to 42.9.223.25442.9.223.2554,094
15942.9.224.0/2042.9.224.1 to 42.9.239.25442.9.239.2554,094
16042.9.240.0/2042.9.240.1 to 42.9.255.25442.9.255.2554,094
16142.10.0.0/2042.10.0.1 to 42.10.15.25442.10.15.2554,094
16242.10.16.0/2042.10.16.1 to 42.10.31.25442.10.31.2554,094
16342.10.32.0/2042.10.32.1 to 42.10.47.25442.10.47.2554,094
16442.10.48.0/2042.10.48.1 to 42.10.63.25442.10.63.2554,094
16542.10.64.0/2042.10.64.1 to 42.10.79.25442.10.79.2554,094
16642.10.80.0/2042.10.80.1 to 42.10.95.25442.10.95.2554,094
16742.10.96.0/2042.10.96.1 to 42.10.111.25442.10.111.2554,094
16842.10.112.0/2042.10.112.1 to 42.10.127.25442.10.127.2554,094
16942.10.128.0/2042.10.128.1 to 42.10.143.25442.10.143.2554,094
17042.10.144.0/2042.10.144.1 to 42.10.159.25442.10.159.2554,094
17142.10.160.0/2042.10.160.1 to 42.10.175.25442.10.175.2554,094
17242.10.176.0/2042.10.176.1 to 42.10.191.25442.10.191.2554,094
17342.10.192.0/2042.10.192.1 to 42.10.207.25442.10.207.2554,094
17442.10.208.0/2042.10.208.1 to 42.10.223.25442.10.223.2554,094
17542.10.224.0/2042.10.224.1 to 42.10.239.25442.10.239.2554,094
17642.10.240.0/2042.10.240.1 to 42.10.255.25442.10.255.2554,094
17742.11.0.0/2042.11.0.1 to 42.11.15.25442.11.15.2554,094
17842.11.16.0/2042.11.16.1 to 42.11.31.25442.11.31.2554,094
17942.11.32.0/2042.11.32.1 to 42.11.47.25442.11.47.2554,094
18042.11.48.0/2042.11.48.1 to 42.11.63.25442.11.63.2554,094
18142.11.64.0/2042.11.64.1 to 42.11.79.25442.11.79.2554,094
18242.11.80.0/2042.11.80.1 to 42.11.95.25442.11.95.2554,094
18342.11.96.0/2042.11.96.1 to 42.11.111.25442.11.111.2554,094
18442.11.112.0/2042.11.112.1 to 42.11.127.25442.11.127.2554,094
18542.11.128.0/2042.11.128.1 to 42.11.143.25442.11.143.2554,094
18642.11.144.0/2042.11.144.1 to 42.11.159.25442.11.159.2554,094
18742.11.160.0/2042.11.160.1 to 42.11.175.25442.11.175.2554,094
18842.11.176.0/2042.11.176.1 to 42.11.191.25442.11.191.2554,094
18942.11.192.0/2042.11.192.1 to 42.11.207.25442.11.207.2554,094
19042.11.208.0/2042.11.208.1 to 42.11.223.25442.11.223.2554,094
19142.11.224.0/2042.11.224.1 to 42.11.239.25442.11.239.2554,094
19242.11.240.0/2042.11.240.1 to 42.11.255.25442.11.255.2554,094
19342.12.0.0/2042.12.0.1 to 42.12.15.25442.12.15.2554,094
19442.12.16.0/2042.12.16.1 to 42.12.31.25442.12.31.2554,094
19542.12.32.0/2042.12.32.1 to 42.12.47.25442.12.47.2554,094
19642.12.48.0/2042.12.48.1 to 42.12.63.25442.12.63.2554,094
19742.12.64.0/2042.12.64.1 to 42.12.79.25442.12.79.2554,094
19842.12.80.0/2042.12.80.1 to 42.12.95.25442.12.95.2554,094
19942.12.96.0/2042.12.96.1 to 42.12.111.25442.12.111.2554,094
20042.12.112.0/2042.12.112.1 to 42.12.127.25442.12.127.2554,094
20142.12.128.0/2042.12.128.1 to 42.12.143.25442.12.143.2554,094
20242.12.144.0/2042.12.144.1 to 42.12.159.25442.12.159.2554,094
20342.12.160.0/2042.12.160.1 to 42.12.175.25442.12.175.2554,094
20442.12.176.0/2042.12.176.1 to 42.12.191.25442.12.191.2554,094
20542.12.192.0/2042.12.192.1 to 42.12.207.25442.12.207.2554,094
20642.12.208.0/2042.12.208.1 to 42.12.223.25442.12.223.2554,094
20742.12.224.0/2042.12.224.1 to 42.12.239.25442.12.239.2554,094
20842.12.240.0/2042.12.240.1 to 42.12.255.25442.12.255.2554,094
20942.13.0.0/2042.13.0.1 to 42.13.15.25442.13.15.2554,094
21042.13.16.0/2042.13.16.1 to 42.13.31.25442.13.31.2554,094
21142.13.32.0/2042.13.32.1 to 42.13.47.25442.13.47.2554,094
21242.13.48.0/2042.13.48.1 to 42.13.63.25442.13.63.2554,094
21342.13.64.0/2042.13.64.1 to 42.13.79.25442.13.79.2554,094
21442.13.80.0/2042.13.80.1 to 42.13.95.25442.13.95.2554,094
21542.13.96.0/2042.13.96.1 to 42.13.111.25442.13.111.2554,094
21642.13.112.0/2042.13.112.1 to 42.13.127.25442.13.127.2554,094
21742.13.128.0/2042.13.128.1 to 42.13.143.25442.13.143.2554,094
21842.13.144.0/2042.13.144.1 to 42.13.159.25442.13.159.2554,094
21942.13.160.0/2042.13.160.1 to 42.13.175.25442.13.175.2554,094
22042.13.176.0/2042.13.176.1 to 42.13.191.25442.13.191.2554,094
22142.13.192.0/2042.13.192.1 to 42.13.207.25442.13.207.2554,094
22242.13.208.0/2042.13.208.1 to 42.13.223.25442.13.223.2554,094
22342.13.224.0/2042.13.224.1 to 42.13.239.25442.13.239.2554,094
22442.13.240.0/2042.13.240.1 to 42.13.255.25442.13.255.2554,094
22542.14.0.0/2042.14.0.1 to 42.14.15.25442.14.15.2554,094
22642.14.16.0/2042.14.16.1 to 42.14.31.25442.14.31.2554,094
22742.14.32.0/2042.14.32.1 to 42.14.47.25442.14.47.2554,094
22842.14.48.0/2042.14.48.1 to 42.14.63.25442.14.63.2554,094
22942.14.64.0/2042.14.64.1 to 42.14.79.25442.14.79.2554,094
23042.14.80.0/2042.14.80.1 to 42.14.95.25442.14.95.2554,094
23142.14.96.0/2042.14.96.1 to 42.14.111.25442.14.111.2554,094
23242.14.112.0/2042.14.112.1 to 42.14.127.25442.14.127.2554,094
23342.14.128.0/2042.14.128.1 to 42.14.143.25442.14.143.2554,094
23442.14.144.0/2042.14.144.1 to 42.14.159.25442.14.159.2554,094
23542.14.160.0/2042.14.160.1 to 42.14.175.25442.14.175.2554,094
23642.14.176.0/2042.14.176.1 to 42.14.191.25442.14.191.2554,094
23742.14.192.0/2042.14.192.1 to 42.14.207.25442.14.207.2554,094
23842.14.208.0/2042.14.208.1 to 42.14.223.25442.14.223.2554,094
23942.14.224.0/2042.14.224.1 to 42.14.239.25442.14.239.2554,094
24042.14.240.0/2042.14.240.1 to 42.14.255.25442.14.255.2554,094
24142.15.0.0/2042.15.0.1 to 42.15.15.25442.15.15.2554,094
24242.15.16.0/2042.15.16.1 to 42.15.31.25442.15.31.2554,094
24342.15.32.0/2042.15.32.1 to 42.15.47.25442.15.47.2554,094
24442.15.48.0/2042.15.48.1 to 42.15.63.25442.15.63.2554,094
24542.15.64.0/2042.15.64.1 to 42.15.79.25442.15.79.2554,094
24642.15.80.0/2042.15.80.1 to 42.15.95.25442.15.95.2554,094
24742.15.96.0/2042.15.96.1 to 42.15.111.25442.15.111.2554,094
24842.15.112.0/2042.15.112.1 to 42.15.127.25442.15.127.2554,094
24942.15.128.0/2042.15.128.1 to 42.15.143.25442.15.143.2554,094
25042.15.144.0/2042.15.144.1 to 42.15.159.25442.15.159.2554,094
25142.15.160.0/2042.15.160.1 to 42.15.175.25442.15.175.2554,094
25242.15.176.0/2042.15.176.1 to 42.15.191.25442.15.191.2554,094
25342.15.192.0/2042.15.192.1 to 42.15.207.25442.15.207.2554,094
25442.15.208.0/2042.15.208.1 to 42.15.223.25442.15.223.2554,094
25542.15.224.0/2042.15.224.1 to 42.15.239.25442.15.239.2554,094
25642.15.240.0/2042.15.240.1 to 42.15.255.25442.15.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses